Subject: RE: [dhcwg] "Options" field

From: "Kostur, Andre" <[email-masked]>
Date: Wed, 15 May 2002 13:21:44 -0700

The original poster did ask what the _maximum_ length the options field may
be (not the minimum), and he did mention that he already knew that the
minimum was 312 bytes.  That passage from the RFC does not mention the
maximum size, only the minimum size.  It does continue to say that if the
client can handle larger message sizes it should supply option 57 to
negotiate the larger sized packets.

> -----Original Message-----
> From: Ted Lemon [mailto:[email-masked]]
> Sent: Wednesday, May 15, 2002 1:06 PM
> To: Kostur, Andre
> Cc: 'Katia Linker'; DHCP IETF mailing list
> Subject: Re: [dhcwg] "Options" field
> 
> 
> > Probably the size of a UDP packet (minus the size of the 
> header... 200 or 
> > so bytes).  However, clients can tell the server that they 
> can only accept 
> > messages up to size X (there's an option for it).
> 
> No offense, but why are you answering someone's question 
> about what the RFC 
> says when you haven't looked the answer up in the RFC?   From RFC2131:
> 
>     The 'options' field is now variable length. A DHCP client must be
>     prepared to receive DHCP messages with an 'options' field 
> of at least
>     length 312 octets.  This requirement implies that a DHCP 
> client must
>     be prepared to receive a message of up to 576 octets, the 
> minimum IP
> 
> 
> 
> Droms                       Standards Track                   
>  [Page 10]
> > 
> RFC 2131          Dynamic Host Configuration Protocol         
> March 1997
> 
> 
>     datagram size an IP host must be prepared to accept [3].  DHCP
>

---

From: Ted Lemon <[email-masked]>
Date: Wed, 15 May 2002 16:08:34 -0500

> The original poster did ask what the _maximum_ length the options field 
> may be (not the minimum), and he did mention that he already knew that the 

On the contrary, the only size that section specifies is the maximum size.
    It says the field is variable length, and the maximum size a client has 
to be able to accept is 312 bytes of options (576 bytes total).   It is 
perfectly permissible to send fewer than 312 bytes of options.

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg